Turn versioning on or off for a specific object storage bucket. Versioning is important for protecting data against accidental deletion or overwriting by saving previous versions of files.
name string required
Example: f13 name parameter
Accept Example Content-Type Example enabled boolean required
· Example: false data object required data.status string · enum required
· Example: Suspended Enabled Suspended requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/object-storage/buckets/{name}/versioning curl -X PUT "https://cloud.hostup.se/api/object-storage/buckets/f13/versioning" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"enabled": false
}' {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"status": "Suspended"
}
} {
"enabled": false
}